---
title: get-edge-configs
product: vercel
url: /docs/rest-api/edge-config/get-edge-configs
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about get-edge-configs on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# Get Edge Configs

```http
GET /v1/edge-config
```

Returns all Edge Configs.

## Authentication

**bearerToken**: HTTP bearer

## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `teamId` | string | No | The Team identifier to perform the request on behalf of. |
| `slug` | string | No | The Team slug to perform the request on behalf of. |


## Responses

### 200: List of all edge configs.

Content-Type: `application/json`

```json
{
  "type": "array",
  "description": "List of all edge configs.",
  "items": {
    "required": [
      "sizeInBytes",
      "itemCount"
    ],
    "properties": {
      "id": {
        "type": "string"
      },
      "createdAt": {
        "type": "number"
      },
      "ownerId": {
        "type": "string"
      },
      "slug": {
        "type": "string",
        "description": "Name for the Edge Config Names are not unique. Must start with an alphabetic character and can contain only alphanumeric characters and underscores)."
      },
      "updatedAt": {
        "type": "number"
      },
      "digest": {
        "type": "string"
      },
      "transfer": {
        "type": "object",
        "description": "Keeps track of the current state of the Edge Config while it gets transferred.",
        "required": [
          "fromAccountId",
          "startedAt",
          "doneAt"
        ],
        "properties": {
          "fromAccountId": {
            "type": "string"
          },
          "startedAt": {
            "type": "number"
          },
          "doneAt": {
            "type": "number",
            "nullable": true
          }
        }
      },
      "schema": {
        "type": "object"
      },
      "purpose": {
        "type": "object",
        "required": [
          "type",
          "projectId"
        ],
        "properties": {
          "type": {
            "type": "string",
            "enum": [
              "flags"
            ]
          },
          "projectId": {
            "type": "string"
          }
        }
      },
      "sizeInBytes": {
        "type": "number"
      },
      "itemCount": {
        "type": "number"
      }
    }
  }
}
```

### 400: One of the provided values in the request query is invalid.

### 401: The request is not authorized.

### 403: You do not have permission to access this resource.

---

## Related

- [edge-config endpoints](/docs/rest-api#edge-config)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://openapi.vercel.sh/) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)
